Package x2go :: Package backends :: Package info :: Module plain

[frames] | no frames]

# Module plain

source code

X2GoServerSessionList and X2GoServerSessionInfo classes - data handling for X2Go server sessions.

This backend handles X2Go server implementations that respond with session infos via server-side PLAIN text output.

Classes
| X2GoServerSessionInfo X2GoServerSessionInfo is used to store all information that is retrieved from the connected X2Go server on `X2GoTerminalSession.start()` resp.
| X2GoServerSessionList X2GoServerSessionList is used to store all information that is retrieved from a connected X2Go server on a `X2GoControlSession.list_sessions()` call.

Variables
| __NAME__ = ``'``x2goserversessioninfo-pylib``'``
| __package__ = ``'``x2go.backends.info``'``